(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     24857,        773]
NotebookOptionsPosition[     21359,        659]
NotebookOutlinePosition[     21694,        674]
CellTagsIndexPosition[     21651,        671]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"$FeynRulesPath", " ", "=", " ", 
   RowBox[{"SetDirectory", "[", "\"\<~/feynrules-current\>\"", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"<<", " ", "FeynRules`"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.652726461673265*^9, 3.652726492568122*^9}, {
  3.652726987701445*^9, 3.652726991200746*^9}, {3.652727806797927*^9, 
  3.652727807383511*^9}}],

Cell[BoxData["\<\"/home/mwhi/feynrules-current\"\>"], "Output",
 CellChangeTimes->{3.663893173931799*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\" - FeynRules - \"\>"], "Print",
 CellChangeTimes->{3.663893173941613*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Version: \"\>", "\[InvisibleSpace]", "\<\"2.3.7\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"\<\" (\"\>", " ", "\<\"27 July 2015\"\>"}], 
   "\[InvisibleSpace]", "\<\").\"\>"}],
  SequenceForm["Version: ", "2.3.7", " (" "27 July 2015", ")."],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893173942107*^9}],

Cell[BoxData["\<\"Authors: A. Alloul, N. Christensen, C. Degrande, C. Duhr, \
B. Fuks\"\>"], "Print",
 CellChangeTimes->{3.663893173942424*^9}],

Cell[BoxData["\<\" \"\>"], "Print",
 CellChangeTimes->{3.663893173942679*^9}],

Cell[BoxData["\<\"Please cite:\"\>"], "Print",
 CellChangeTimes->{3.6638931739429407`*^9}],

Cell[BoxData["\<\"    - Comput.Phys.Commun.185:2250-2300,2014 \
(arXiv:1310.1921);\"\>"], "Print",
 CellChangeTimes->{3.6638931739432364`*^9}],

Cell[BoxData["\<\"    - Comput.Phys.Commun.180:1614-1641,2009 \
(arXiv:0806.4194).\"\>"], "Print",
 CellChangeTimes->{3.663893173943524*^9}],

Cell[BoxData["\<\" \"\>"], "Print",
 CellChangeTimes->{3.6638931739437838`*^9}],

Cell[BoxData["\<\"http://feynrules.phys.ucl.ac.be\"\>"], "Print",
 CellChangeTimes->{3.663893173944064*^9}],

Cell[BoxData["\<\" \"\>"], "Print",
 CellChangeTimes->{3.663893173944357*^9}],

Cell[BoxData["\<\"The FeynRules palette can be opened using the command \
FRPalette[].\"\>"], "Print",
 CellChangeTimes->{3.663893173944686*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"SetDirectory", "[", "\"\<~/Dropbox/GambitDemo\>\"", "]"}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.652726553675315*^9, 3.65272658139639*^9}, {
  3.652727051048381*^9, 3.652727058870208*^9}, {3.66389286339923*^9, 
  3.6638928665683613`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoadModel", "[", 
   RowBox[{"\"\<SM.fr\>\"", ",", "\"\<GambitDemo.fr\>\""}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.652726587528133*^9, 3.6527266181492043`*^9}, {
  3.6527267141024847`*^9, 3.6527267150576143`*^9}, {3.652726979864422*^9, 
  3.652726982311448*^9}, {3.652728110875964*^9, 3.65272813339816*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Merging model-files...\"\>"], "Print",
 CellChangeTimes->{3.663893181024145*^9}],

Cell[BoxData["\<\"This model implementation was created by\"\>"], "Print",
 CellChangeTimes->{3.663893181036038*^9}],

Cell[BoxData["\<\"M. White\"\>"], "Print",
 CellChangeTimes->{3.6638931810364017`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Model Version: \"\>", "\[InvisibleSpace]", "\<\"1.0\"\>"}],
  SequenceForm["Model Version: ", "1.0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893181036785*^9}],

Cell[BoxData["\<\"For more information, type ModelInformation[].\"\>"], \
"Print",
 CellChangeTimes->{3.663893181037134*^9}],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{3.663893181037477*^9}],

Cell[BoxData["\<\"   - Loading particle classes.\"\>"], "Print",
 CellChangeTimes->{3.663893181037815*^9}],

Cell[BoxData["\<\"   - Loading gauge group classes.\"\>"], "Print",
 CellChangeTimes->{3.66389318111829*^9}],

Cell[BoxData["\<\"   - Loading parameter classes.\"\>"], "Print",
 CellChangeTimes->{3.663893181130349*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nModel \"\>", "\[InvisibleSpace]", "\<\"GambitDemo\"\>", 
   "\[InvisibleSpace]", "\<\" loaded.\"\>"}],
  SequenceForm["\nModel ", "GambitDemo", " loaded."],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893181174089*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoadsRestriction", "[", 
   RowBox[{"\"\<DiagonalCKM.rst\>\"", ",", "\"\<Massless.rst\>\""}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.652727149325548*^9, {3.6527274008675756`*^9, 3.652727423899671*^9}}],

Cell[BoxData[
 RowBox[{"LoadsRestriction", "[", 
  RowBox[{"\<\"DiagonalCKM.rst\"\>", ",", "\<\"Massless.rst\"\>"}], 
  "]"}]], "Output",
 CellChangeTimes->{3.663893183684901*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Lscalarkin", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"del", "[", 
      RowBox[{"p1", ",", "mu"}], "]"}], 
     RowBox[{"del", "[", 
      RowBox[{"p1", ",", "mu"}], "]"}]}], "-", 
    RowBox[{
     RowBox[{"1", "/", "2"}], 
     RowBox[{"MM1", "^", "2"}], 
     RowBox[{"p1", "^", "2"}]}]}]}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.652727069467554*^9, {3.652727487719648*^9, 3.6527275237189837`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "2"]}], " ", 
   SuperscriptBox["MM1", "2"], " ", 
   SuperscriptBox["p1", "2"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox[
    RowBox[{
     SubscriptBox["\<\"\[PartialD]\"\>", "mu"], "[", "p1", "]"}], 
    "2"]}]}]], "Output",
 CellChangeTimes->{3.66389318579405*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Lfermionkin", "=", 
   RowBox[{
    RowBox[{"I", " ", 
     RowBox[{"uvbar", ".", 
      RowBox[{"Ga", "[", "mu", "]"}], ".", 
      RowBox[{"DC", "[", 
       RowBox[{"uv", ",", "mu"}], "]"}]}]}], "-", 
    RowBox[{"Muv", " ", 
     RowBox[{"uvbar", ".", "uv"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.6527275437128572`*^9, 3.6527275762924757`*^9}, 
   3.652730231779483*^9, {3.663893189036471*^9, 3.663893190564246*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "Muv"}], " ", 
   RowBox[{
    OverscriptBox["uv", "\<\"-\"\>"], ".", "uv"}]}], "+", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{
    OverscriptBox["uv", "\<\"-\"\>"], ".", 
    SuperscriptBox["\[Gamma]", "mu"], ".", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubscriptBox["\<\"\[PartialD]\"\>", "mu"], "[", "uv", "]"}], "-", 
      RowBox[{"\[ImaginaryI]", " ", 
       SubscriptBox["g", "s"], " ", 
       RowBox[{
        SuperscriptBox["T", "a$2951"], ".", "uv"}], " ", 
       SubscriptBox["G", 
        RowBox[{"mu", ",", "a$2951"}]]}]}], ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.6638931911392117`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.652727586932226*^9, 3.65272758693557*^9}, 
   3.652730102145692*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Lyuk", " ", "=", " ", 
  RowBox[{"lam1", " ", "p1", " ", 
   RowBox[{"uvbar", ".", "ProjP", ".", "u"}]}]}]], "Input",
 CellChangeTimes->{{3.652727596462593*^9, 3.652727611721642*^9}, 
   3.6527338805169573`*^9}],

Cell[BoxData[
 RowBox[{"lam1", " ", "p1", " ", 
  RowBox[{
   OverscriptBox["uv", "\<\"-\"\>"], ".", 
   SubscriptBox["P", "\<\"+\"\>"], ".", "u"}]}]], "Output",
 CellChangeTimes->{3.663893194935198*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Lyuk", "  ", "=", 
  RowBox[{"Lyuk", " ", "+", " ", 
   RowBox[{"HC", "[", "Lyuk", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Lnew", "=", " ", 
  RowBox[{"Lscalarkin", "+", "Lfermionkin", "+", "Lyuk"}]}]}], "Input",
 CellChangeTimes->{{3.6527276337637243`*^9, 3.652727650401285*^9}, {
  3.6638931215327597`*^9, 3.663893135496666*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lam1", " ", "p1", " ", 
   RowBox[{
    OverscriptBox["u", "\<\"-\"\>"], ".", 
    SubscriptBox["P", "\<\"-\"\>"], ".", "uv"}]}], "+", 
  RowBox[{"lam1", " ", "p1", " ", 
   RowBox[{
    OverscriptBox["uv", "\<\"-\"\>"], ".", 
    SubscriptBox["P", "\<\"+\"\>"], ".", "u"}]}]}]], "Output",
 CellChangeTimes->{3.663893198046206*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "2"]}], " ", 
   SuperscriptBox["MM1", "2"], " ", 
   SuperscriptBox["p1", "2"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox[
    RowBox[{
     SubscriptBox["\<\"\[PartialD]\"\>", "mu"], "[", "p1", "]"}], "2"]}], "-", 
  RowBox[{"Muv", " ", 
   RowBox[{
    OverscriptBox["uv", "\<\"-\"\>"], ".", "uv"}]}], "+", 
  RowBox[{"lam1", " ", "p1", " ", 
   RowBox[{
    OverscriptBox["u", "\<\"-\"\>"], ".", 
    SubscriptBox["P", "\<\"-\"\>"], ".", "uv"}]}], "+", 
  RowBox[{"lam1", " ", "p1", " ", 
   RowBox[{
    OverscriptBox["uv", "\<\"-\"\>"], ".", 
    SubscriptBox["P", "\<\"+\"\>"], ".", "u"}]}], "+", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{
    OverscriptBox["uv", "\<\"-\"\>"], ".", 
    SuperscriptBox["\[Gamma]", "mu"], ".", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubscriptBox["\<\"\[PartialD]\"\>", "mu"], "[", "uv", "]"}], "-", 
      RowBox[{"\[ImaginaryI]", " ", 
       SubscriptBox["g", "s"], " ", 
       RowBox[{
        SuperscriptBox["T", "a$2951"], ".", "uv"}], " ", 
       SubscriptBox["G", 
        RowBox[{"mu", ",", "a$2951"}]]}]}], ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.663893198047987*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"CheckHermiticity", "[", "Lnew", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"FeynmanRules", "[", "Lnew", "]"}]}], "Input",
 CellChangeTimes->{{3.652727653697064*^9, 3.6527276597403297`*^9}, {
  3.652730128705604*^9, 3.6527301287633657`*^9}, {3.663892886961521*^9, 
  3.663892893874804*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Checking for hermiticity by calculating the Feynman rules \
contained in L-HC[L].\"\>"], "Print",
 CellChangeTimes->{3.6638932045548553`*^9}],

Cell[BoxData["\<\"If the lagrangian is hermitian, then the number of vertices \
should be zero.\"\>"], "Print",
 CellChangeTimes->{3.663893204555656*^9}],

Cell[BoxData[
 StyleBox["\<\"Starting Feynman rule calculation.\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0.5, 0],
  FrontFaceColor->RGBColor[1, 0.5, 0],
  BackFaceColor->RGBColor[1, 0.5, 0],
  GraphicsColor->RGBColor[1, 0.5, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0.5, 0]]], "Print",
 CellChangeTimes->{3.663893204703772*^9}],

Cell[BoxData["\<\"Expanding the Lagrangian...\"\>"], "Print",
 CellChangeTimes->{3.663893204704541*^9}],

Cell[BoxData["\<\"Collecting the different structures that enter the \
vertex.\"\>"], "Print",
 CellChangeTimes->{3.66389320471634*^9}],

Cell[BoxData["\<\"No vertices found.\"\>"], "Print",
 CellChangeTimes->{3.663893204717428*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"0", "\[InvisibleSpace]", "\<\" vertices obtained.\"\>"}],
  SequenceForm[0, " vertices obtained."],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893204717986*^9}],

Cell[BoxData["\<\"The lagrangian is hermitian.\"\>"], "Print",
 CellChangeTimes->{3.663893204718501*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.663893204719239*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Starting Feynman rule calculation.\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0.5, 0],
  FrontFaceColor->RGBColor[1, 0.5, 0],
  BackFaceColor->RGBColor[1, 0.5, 0],
  GraphicsColor->RGBColor[1, 0.5, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0.5, 0]]], "Print",
 CellChangeTimes->{3.66389320471982*^9}],

Cell[BoxData["\<\"Expanding the Lagrangian...\"\>"], "Print",
 CellChangeTimes->{3.663893204720104*^9}],

Cell[BoxData["\<\"Collecting the different structures that enter the \
vertex.\"\>"], "Print",
 CellChangeTimes->{3.6638932047657623`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
  "3", "\[InvisibleSpace]", "\<\" possible non-zero vertices have been found \
-> starting the computation: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[FeynRules`FR$FeynmanRules, StandardForm],
    ImageSizeCache->{24., {0., 8.}}], "\[InvisibleSpace]", "\<\" / \"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  3, " possible non-zero vertices have been found -> starting the \
computation: ", 
   Dynamic[FeynRules`FR$FeynmanRules], " / ", 3, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.6638932047668867`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"3", "\[InvisibleSpace]", "\<\" vertices obtained.\"\>"}],
  SequenceForm[3, " vertices obtained."],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893204795463*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         OverscriptBox["u", "\<\"-\"\>"], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"uv", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p1", ",", "3"}], "}"}]}], "}"}], ",", 
     RowBox[{"\[ImaginaryI]", " ", "lam1", " ", 
      SubscriptBox["\[Delta]", 
       RowBox[{
        SubscriptBox["\<\"m\"\>", "1"], ",", 
        SubscriptBox["\<\"m\"\>", "2"]}]], " ", 
      SubscriptBox[
       SubscriptBox["P", "\<\"-\"\>"], 
       RowBox[{
        SubscriptBox["\<\"s\"\>", "1"], ",", 
        SubscriptBox["\<\"s\"\>", "2"]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         OverscriptBox["uv", "\<\"-\"\>"], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"u", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p1", ",", "3"}], "}"}]}], "}"}], ",", 
     RowBox[{"\[ImaginaryI]", " ", "lam1", " ", 
      SubscriptBox["\[Delta]", 
       RowBox[{
        SubscriptBox["\<\"m\"\>", "1"], ",", 
        SubscriptBox["\<\"m\"\>", "2"]}]], " ", 
      SubscriptBox[
       SubscriptBox["P", "\<\"+\"\>"], 
       RowBox[{
        SubscriptBox["\<\"s\"\>", "1"], ",", 
        SubscriptBox["\<\"s\"\>", "2"]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         OverscriptBox["uv", "\<\"-\"\>"], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"uv", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"G", ",", "3"}], "}"}]}], "}"}], ",", 
     RowBox[{"\[ImaginaryI]", " ", 
      SubscriptBox["g", "s"], " ", 
      SubsuperscriptBox["\[Gamma]", 
       RowBox[{
        SubscriptBox["\<\"s\"\>", "1"], ",", 
        SubscriptBox["\<\"s\"\>", "2"]}], 
       SubscriptBox["\<\"\[Mu]\"\>", "3"]], " ", 
      SubsuperscriptBox["T", 
       RowBox[{
        SubscriptBox["\<\"m\"\>", "1"], ",", 
        SubscriptBox["\<\"m\"\>", "2"]}], 
       SubscriptBox["\<\"a\"\>", "3"]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.663893204796939*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"WriteUFO", "[", 
   RowBox[{"LSM", "+", "Lnew"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6527276747778788`*^9, 3.652727688719481*^9}, {
  3.6527301201926928`*^9, 3.6527301225188704`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\" --- Universal FeynRules Output (UFO) v 1.1 ---\"\>"], \
"Print",
 CellChangeTimes->{3.66389323033997*^9}],

Cell[BoxData[
 StyleBox["\<\"Starting Feynman rule calculation.\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0.5, 0],
  FrontFaceColor->RGBColor[1, 0.5, 0],
  BackFaceColor->RGBColor[1, 0.5, 0],
  GraphicsColor->RGBColor[1, 0.5, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0.5, 0]]], "Print",
 CellChangeTimes->{3.6638932307250977`*^9}],

Cell[BoxData["\<\"Expanding the Lagrangian...\"\>"], "Print",
 CellChangeTimes->{3.66389323072608*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Expanding the indices over \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\" cores\"\>"}],
  SequenceForm["Expanding the indices over ", 4, " cores"],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893230726467*^9}],

Cell[BoxData["\"\<Collecting the different structure\\\\ns that enter the \
vertex.\>\""], "Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.663893234853273*^9, 3.663893888920236*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
  "101", "\[InvisibleSpace]", "\<\" possible non-zero vertices have been \
found -> starting the computation: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[FeynRules`FR$FeynmanRules, StandardForm],
    ImageSizeCache->{24., {0., 8.}}], "\[InvisibleSpace]", "\<\" / \"\>", 
   "\[InvisibleSpace]", "101", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  101, " possible non-zero vertices have been found -> starting the \
computation: ", 
   Dynamic[FeynRules`FR$FeynmanRules], " / ", 101, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.66389323488766*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"96", "\[InvisibleSpace]", "\<\" vertices obtained.\"\>"}],
  SequenceForm[96, " vertices obtained."],
  Editable->False]], "Print",
 CellChangeTimes->{3.6638932373947906`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Flavor expansion of the vertices distributed over \"\>", 
   "\[InvisibleSpace]", "4", "\[InvisibleSpace]", "\<\" cores: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[FeynRules`FR$Count1, StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\" / \"\>", 
   "\[InvisibleSpace]", "96"}],
  SequenceForm[
  "Flavor expansion of the vertices distributed over ", 4, " cores: ", 
   Dynamic[FeynRules`FR$Count1], " / ", 96],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893238900529*^9}],

Cell[BoxData["\<\"   - Saved vertices in InterfaceRun[ 1 ].\"\>"], "Print",
 CellChangeTimes->{3.663893243138081*^9}],

Cell[BoxData[
 StyleBox["\<\"Computing the squared matrix elements relevant for the 1->2 \
decays: \"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0.5, 0],
  FrontFaceColor->RGBColor[1, 0.5, 0],
  BackFaceColor->RGBColor[1, 0.5, 0],
  GraphicsColor->RGBColor[1, 0.5, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0.5, 0]]], "Print",
 CellChangeTimes->{3.663893243169191*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   DynamicBox[ToBoxes[PRIVATE`mycounter, StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\" / \"\>", 
   "\[InvisibleSpace]", "50"}],
  SequenceForm[
   Dynamic[PRIVATE`mycounter], " / ", 50],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893243174891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Squared matrix elent compute in \"\>", "\[InvisibleSpace]", 
   "1.416`", "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["Squared matrix elent compute in ", 1.416, " seconds."],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893248854363*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   DynamicBox[ToBoxes[PRIVATE`mycounter, StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\" / \"\>", 
   "\[InvisibleSpace]", "61"}],
  SequenceForm[
   Dynamic[PRIVATE`mycounter], " / ", 61],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893248859879*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Decay widths computed in \"\>", "\[InvisibleSpace]", "0.308`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["Decay widths computed in ", 0.308, " seconds."],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893249508219*^9}],

Cell[BoxData["\<\"Preparing Python output.\"\>"], "Print",
 CellChangeTimes->{3.6638932495230722`*^9}],

Cell[BoxData["\<\"    - Splitting vertices into building blocks.\"\>"], \
"Print",
 CellChangeTimes->{3.663893249627967*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Splitting of vertices distributed over \"\>", 
   "\[InvisibleSpace]", "4", "\[InvisibleSpace]", "\<\" kernels.\"\>"}],
  SequenceForm["Splitting of vertices distributed over ", 4, " kernels."],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893249650467*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"    - Optimizing: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[PRIVATE`PY$SplitVertexCounter, StandardForm],
    ImageSizeCache->{24., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "166", "\[InvisibleSpace]", "\<\" .\"\>"}],
  SequenceForm["    - Optimizing: ", 
   Dynamic[PRIVATE`PY$SplitVertexCounter], "/", 166, " ."],
  Editable->False]], "Print",
 CellChangeTimes->{3.663893251021508*^9}],

Cell[BoxData["\<\"    - Writing files.\"\>"], "Print",
 CellChangeTimes->{3.663893251153468*^9}],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{3.663893251318862*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{808, 911},
WindowMargins->{{Automatic, 173}, {Automatic, -1}},
FrontEndVersion->"10.2 for Linux x86 (64-bit) (July 29, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 426, 8, 99, "Input"],
Cell[1009, 32, 105, 1, 32, "Output"],
Cell[CellGroupData[{
Cell[1139, 37, 91, 1, 23, "Print"],
Cell[1233, 40, 362, 8, 23, "Print"],
Cell[1598, 50, 143, 2, 23, "Print"],
Cell[1744, 54, 77, 1, 23, "Print"],
Cell[1824, 57, 90, 1, 23, "Print"],
Cell[1917, 60, 142, 2, 23, "Print"],
Cell[2062, 64, 140, 2, 23, "Print"],
Cell[2205, 68, 79, 1, 23, "Print"],
Cell[2287, 71, 107, 1, 23, "Print"],
Cell[2397, 74, 77, 1, 23, "Print"],
Cell[2477, 77, 144, 2, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[2648, 83, 315, 7, 55, "Input"],
Cell[CellGroupData[{
Cell[2988, 94, 372, 7, 55, "Input"],
Cell[CellGroupData[{
Cell[3385, 105, 98, 1, 23, "Print"],
Cell[3486, 108, 116, 1, 23, "Print"],
Cell[3605, 111, 86, 1, 23, "Print"],
Cell[3694, 114, 222, 5, 23, "Print"],
Cell[3919, 121, 124, 2, 23, "Print"],
Cell[4046, 125, 76, 1, 23, "Print"],
Cell[4125, 128, 106, 1, 23, "Print"],
Cell[4234, 131, 108, 1, 23, "Print"],
Cell[4345, 134, 107, 1, 23, "Print"],
Cell[4455, 137, 280, 6, 43, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4784, 149, 266, 6, 55, "Input"],
Cell[5053, 157, 179, 4, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5269, 166, 497, 15, 55, "Input"],
Cell[5769, 183, 369, 13, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6175, 201, 481, 12, 55, "Input"],
Cell[6659, 215, 676, 20, 38, "Output"]
}, Open  ]],
Cell[7350, 238, 117, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[7492, 244, 235, 5, 32, "Input"],
Cell[7730, 251, 203, 5, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7970, 261, 361, 7, 55, "Input"],
Cell[8334, 270, 366, 10, 35, "Output"],
Cell[8703, 282, 1242, 37, 78, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9982, 324, 350, 7, 77, "Input"],
Cell[CellGroupData[{
Cell[10357, 335, 159, 2, 23, "Print"],
Cell[10519, 339, 153, 2, 23, "Print"],
Cell[10675, 343, 348, 9, 23, "Print"],
Cell[11026, 354, 103, 1, 23, "Print"],
Cell[11132, 357, 135, 2, 23, "Print"],
Cell[11270, 361, 94, 1, 23, "Print"],
Cell[11367, 364, 216, 5, 23, "Print"],
Cell[11586, 371, 104, 1, 23, "Print"]
}, Open  ]],
Cell[11705, 375, 87, 2, 32, "Output"],
Cell[CellGroupData[{
Cell[11817, 381, 347, 9, 23, "Print"],
Cell[12167, 392, 103, 1, 23, "Print"],
Cell[12273, 395, 138, 2, 23, "Print"],
Cell[12414, 399, 615, 13, 43, "Print"],
Cell[13032, 414, 216, 5, 23, "Print"]
}, Open  ]],
Cell[13263, 422, 2241, 68, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15541, 495, 247, 5, 55, "Input"],
Cell[CellGroupData[{
Cell[15813, 504, 124, 2, 23, "Print"],
Cell[15940, 508, 350, 9, 23, "Print"],
Cell[16293, 519, 102, 1, 23, "Print"],
Cell[16398, 522, 285, 6, 23, "Print"],
Cell[16686, 530, 213, 4, 43, "Print"],
Cell[16902, 536, 620, 13, 43, "Print"],
Cell[17525, 551, 220, 5, 23, "Print"],
Cell[17748, 558, 572, 12, 23, "Print"],
Cell[18323, 572, 117, 1, 23, "Print"],
Cell[18443, 575, 384, 10, 23, "Print"],
Cell[18830, 587, 338, 9, 23, "Print"],
Cell[19171, 598, 310, 6, 23, "Print"],
Cell[19484, 606, 338, 9, 23, "Print"],
Cell[19825, 617, 296, 6, 23, "Print"],
Cell[20124, 625, 102, 1, 23, "Print"],
Cell[20229, 628, 124, 2, 23, "Print"],
Cell[20356, 632, 315, 6, 23, "Print"],
Cell[20674, 640, 474, 9, 23, "Print"],
Cell[21151, 651, 96, 1, 23, "Print"],
Cell[21250, 654, 81, 1, 23, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
